commit 8828b935009b7d3714acba0c445b350e0d071717
Author: freddy77 <freddy77>
Date:   Thu Sep 3 11:53:46 2009 +0000

    fix NULL becaming empty strings under Sybase

diff --git a/ChangeLog b/ChangeLog
index f4b3806..3790de5 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Thu Sep  3 13:53:26 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* TODO src/tds/token.c:
+	- fix NULL becaming empty strings under Sybase
+
 Thu Sep  3 11:25:04 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/challenge.c: fix NTLM2 check
 
@@ -1836,4 +1840,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2868 2009/09/03 09:25:55 freddy77 Exp $
+$Id: ChangeLog,v 1.2869 2009/09/03 11:53:46 freddy77 Exp $
diff --git a/TODO b/TODO
index 223fd95..89eb4e9 100644
--- a/TODO
+++ b/TODO
@@ -8,14 +8,11 @@ anyone else can post a patch to SourceForge.
 In this way we can communicate with each
 other about the project's priorities and needs.  
 
-To Do List	$Id: TODO,v 1.173 2009/08/25 05:00:53 freddy77 Exp $
+To Do List	$Id: TODO,v 1.174 2009/09/03 11:53:47 freddy77 Exp $
 ------------
 
 Bug? ML 2007-05-30 "dbsqlexec() never returns" 
 	tds_send_cancel in tds_goodwrite (wrong??)
-BUG: ML 2009-02-10 "Problem with Set TEXT field to NULL"
-	libtds seems to misinterpret NULL TEXT fields as 
-	zero-length strings. 
 BUG: sending ICONV charset name, not TDS name in 
 	5.0 login packet.  
 	
diff --git a/src/tds/token.c b/src/tds/token.c
index f61eef6..f1de333 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -42,7 +42,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.374 2009/08/26 12:32:11 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.375 2009/09/03 11:53:47 freddy77 Exp $");
 
 #define USE_ICONV tds->use_iconv
 
@@ -2137,6 +2137,8 @@ tds_get_data(TDSSOCKET * tds, TDSCOLUMN * curcol)
 	case 5:
 		blob = (TDSBLOB *) curcol->column_data;
 		colsize = tds_get_int(tds);
+		if (colsize == 0)
+			colsize = -1;
 		break;
 	case 8:
 		return tds9_get_varmax(tds, curcol);

